# Summary

[Preamble](README.md)

- [Whence Parachains](whence-parachains.md)
- [Parachains Overview](parachains-overview.md)
- [Architecture Overview](architecture.md)
- [Runtime Architecture](runtime/README.md)
  - [Initializer Module](runtime/initializer.md)
  - [Configuration Module](runtime/configuration.md)
  - [Paras Module](runtime/paras.md)
  - [Scheduler Module](runtime/scheduler.md)
  - [Inclusion Module](runtime/inclusion.md)
  - [InclusionInherent Module](runtime/inclusioninherent.md)
  - [Validity Module](runtime/validity.md)
  - [Router Module](runtime/router.md)
- [Runtime APIs](runtime-api/README.md)
- [Node Architecture](node/README.md)
  - [Subsystems and Jobs](node/subsystems-and-jobs.md)
  - [Overseer](node/overseer.md)
  - [Backing Subsystems](node/backing/README.md)
    - [Candidate Selection](node/backing/candidate-selection.md)
    - [Candidate Backing](node/backing/candidate-backing.md)
    - [Statement Distribution](node/backing/statement-distribution.md)
    - [PoV Distribution](node/backing/pov-distribution.md)
  - [Availability Subsystems](node/availability/README.md)
    - [Availability Distribution](node/availability/availability-distribution.md)
    - [Bitfield Distribution](node/availability/bitfield-distribution.md)
    - [Bitfield Signing](node/availability/bitfield-signing.md)
  - [Collators](node/collators/README.md)
    - [Collation Generation](node/collators/collation-generation.md)
    - [Collator Protocol](node/collators/collator-protocol.md)
  - [Validity](node/validity/README.md)
  - [Utility Subsystems](node/utility/README.md)
    - [Availability Store](node/utility/availability-store.md)
    - [Candidate Validation](node/utility/candidate-validation.md)
    - [Provisioner](node/utility/provisioner.md)
    - [Network Bridge](node/utility/network-bridge.md)
    - [Misbehavior Arbitration](node/utility/misbehavior-arbitration.md)
    - [Peer Set Manager](node/utility/peer-set-manager.md)
    - [Runtime API Requests](node/utility/runtime-api.md)
    - [Chain API Requests](node/utility/chain-api.md)
- [Data Structures and Types](types/README.md)
    - [Candidate](types/candidate.md)
    - [Backing](types/backing.md)
    - [Availability](types/availability.md)
    - [Overseer and Subsystem Protocol](types/overseer-protocol.md)
    - [Runtime](types/runtime.md)
    - [Chain](types/chain.md)
    - [Messages](types/messages.md)

[Glossary](glossary.md)
[Further Reading](further-reading.md)
